<?php
include_once "sessionheader.inc.php";
error_reporting(0);
if (isset($_SESSION['rights']) && $_SESSION['rights'] >= 3)
{
  include_once "../edit/config.inc.php";
  include_once "../zugriff.inc.php";
  include_once "TableEditor.php";
  $editor = new TableEditor($conn, $pfx.'content');

  // Überschrift (statt Tabellenname)
  $editor->config['title'] = 'Inhalt';
  
  $editor->setConfig('allowPKEditing', true);
  
  // Einträge pro Seite auf 50 einstellen
  $editor->setConfig('perPage', 50); 
  
  // Spaltenüberschrift(en) anhübschen
  $editor->setDisplayNames(array('Content'=>'Inhalt'));
  
  // Sortierreihenfolge erst nach Ebene1, darin dann nach Ebene2 sortieren
  $editor->setDefaultOrderby('Ebene1, Ebene2', 1);
  
  // Suchfelder bestimmen
  $editor->setSearchableFields('URLAnhang','Seitentitel','Content');
  
  // Pflichtfelder setzen
  $editor->setRequiredFields('URLAnhang', 'MenueName', 'Ebene1', 'Seitentitel');
  
  //$editor->addDisplayFilter('Ebene2', create_function('$inhalt', 'if ($inhalt > 0) { return "—→ " . $inhalt;}')); // ORIG BEFORE
  $editor->addDisplayFilter('Ebene2', function($inhalt) // 
  {
    if ($inhalt > 0) return "—→ " . $inhalt; //
  });
  
  $editor->addDisplayFilter('Content',function($v) // ### NEU NUR NOCH fuction ##############
  {
    if ( strlen($v) <= 100 ) return $v;      // 100 z.B. durch 50 ersetzen, dann bein-
       else return substr($v,0,100) . "..."; // haltet Spalte "Inhalt" nur noch 50 Zeichen 
  });
  
  $editor->display();

}
else
{
  include "umleitung.php";
}
?>